﻿$ErrorActionPreference = 'Stop'

$packageName = 'conan'
$url32       = 'https://github.com/conan-io/conan/releases/download/1.25.1/conan-win-32_1_25_1.exe'
$url64       = 'https://github.com/conan-io/conan/releases/download/1.25.1/conan-win-64_1_25_1.exe'
$checksum32  = 'aa48cfd08106d8d654c31d93c19a850b182eef07a047ce092045663dd2d1e6d3'
$checksum64  = 'db1adeacdc3e545fe2b7ad3b3001f00d748e0b5af6a0214b645a01a756047316'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/VERYSILENT'
  validExitCodes = @(0)
}
Install-ChocolateyPackage @packageArgs
